org.gnome.gtk

## Class CellRendererPixbuf

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.CellRenderer
        - - org.gnome.gtk.CellRendererPixbuf

-     public class CellRendererPixbuf
      extends CellRenderer

  Display an image in a TreeView. The image data is sourced either from a DataColumn of type `DataColumnPixbuf` in your TreeModel, or from a DataColumn of type `DataColumnStock`.
  Since:
    4.0.5
  Author:
    Andrew Cowie, Vreixo Formoso

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellRendererPixbuf(CellLayout vertical)` Construct a new CellRendererPixbuf.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setIcon(DataColumnIcon column)` Indicate the DataColumn containing a named Icon which you want to have this CellRendererPixbuf render as an image.
    `void` | `setPixbuf(DataColumnPixbuf column)` Indicate the DataColumn containing the Pixbuf to render as an image.
    `void` | `setStock(DataColumnStock column)` Indicate the DataColumn containing a Stock icon which you want to have this CellRendererPixbuf render as an image.

    - ### Methods inherited from class org.gnome.gtk.CellRenderer

      `setAlignment, setBackground, setBackground, setVisible, setWidth`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CellRendererPixbuf

          public CellRendererPixbuf(CellLayout vertical)

      Construct a new CellRendererPixbuf.

  - ### Method Detail

    - #### setIcon

          public void setIcon(DataColumnIcon column)

      Indicate the DataColumn containing a named Icon which you want to have this CellRendererPixbuf render as an image.
      Since:
        4.0.17

    - #### setPixbuf

          public void setPixbuf(DataColumnPixbuf column)

      Indicate the DataColumn containing the Pixbuf to render as an image.

    - #### setStock

          public void setStock(DataColumnStock column)

      Indicate the DataColumn containing a Stock icon which you want to have this CellRendererPixbuf render as an image.
      Since:
        4.0.7